MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003680ATutor- no cat -public2008-12-19 07:212009-07-21 08:49
Reportergreg 
Assigned Togreg 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.6.3 
Summary0003680: html code highlighting
DescriptionA hack to trick php into using code higlighting without using the php tags.

In output.inc.php before the [code] tags are replaced

$text = str_replace("[code]","[code]<?php",$text);
$text = str_replace("[/code]","?>[/code]",$text);

The after the preg_replace add
$text = str_replace("<?php", "", $text);
$text = str_replace("?>", "", $text);
Additional InformationThere's got to be a better way. What HTML sysntax highlighters are available?
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0003498)
greg (administrator)
2009-03-11 10:45

added hack to remove <?php ?> from highlighted code so highlighting can be used for code other than php.

- Issue History
Date Modified Username Field Change
2008-12-19 07:21 greg New Issue
2008-12-19 07:21 greg Affects version => SVN
2009-03-11 10:44 greg Status new => assigned
2009-03-11 10:44 greg Assigned To => greg
2009-03-11 10:45 greg Status assigned => resolved
2009-03-11 10:45 greg Resolution open => fixed
2009-03-11 10:45 greg Note Added: 0003498
2009-06-12 09:31 greg Status resolved => new
2009-06-12 09:34 greg Status new => resolved
2009-06-12 09:34 greg Fixed in Version => 1.6.3
2009-07-21 08:49 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker